
From: Brice Goglin <Brice.Goglin@ens-lyon.org>

CONFIG_X86_MCE_INTEL=y doesn't compile on my Compaq Evo (except when
CONFIG_SMP is set).  I had to include asm/apic.h in mce_intel.c to fix it.

Signed-off-by: Brice Goglin <Brice.Goglin@ens-lyon.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/kernel/cpu/mcheck/mce_intel.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN arch/i386/kernel/cpu/mcheck/mce_intel.c~x86-port-lockless-mce-implementation-fix-2 arch/i386/kernel/cpu/mcheck/mce_intel.c
--- 25/arch/i386/kernel/cpu/mcheck/mce_intel.c~x86-port-lockless-mce-implementation-fix-2	2005-04-30 02:49:38.983559032 -0700
+++ 25-akpm/arch/i386/kernel/cpu/mcheck/mce_intel.c	2005-04-30 02:49:38.986558576 -0700
@@ -9,6 +9,7 @@
 #include <asm/processor.h>
 #include <asm/msr.h>
 #include <asm/hw_irq.h>
+#include <asm/apic.h>
 #include "mce.h"
 
 static DEFINE_PER_CPU(unsigned long, next_check);
_
